Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.evaluator
Class AbstractAttributeEvaluator

    java.lang.Object
      org.apache.tiles.evaluator.AbstractAttributeEvaluator

All Implemented Interfaces:
  AttributeEvaluator

Direct Known Subclasses:
  DirectAttributeEvaluator, ELAttributeEvaluator, MVELAttributeEvaluator, OGNLAttributeEvaluator

    public abstract class AbstractAttributeEvaluator

extends java.lang.Object
implements AttributeEvaluator

Abstract class to link a correct evaluation of an attribute, by evaluating `Attribute.getValue()` and then `Attribute.getExpressionObject()`.

Since:
  2.1.2
Version:
  $Rev: 788032 $ $Date: 2009-06-24 16:08:32 +0200 (mer, 24 giu 2009) $

Constructor Summary
`AbstractAttributeEvaluator()`

Method Summary
`java.lang.Object` | `evaluate(Attribute attribute, TilesRequestContext request)` Evaluates an attribute value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.tiles.evaluator.AttributeEvaluator
`evaluate, init`

Constructor Detail

### AbstractAttributeEvaluator

    public AbstractAttributeEvaluator()

Method Detail

### evaluate

    public java.lang.Object evaluate(Attribute attribute,
                                     TilesRequestContext request)

  Evaluates an attribute value.

  Specified by:
    `evaluate` in interface `AttributeEvaluator`
  Parameters:
    `attribute` - The attribute to evaluate.
    `request` - The request object.
  Returns:
    The evaluated object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.